<template>
  <div class="deviceInformation">
    <div class="deviceBox">
      <div class="deviceBtnGroup">
        <h4>杆塔信息管理</h4>
        <el-button
          type="primary"
          icon="el-icon-plus"
          @click.native.stop="handleAdddevice()"
          >新增</el-button
        >
      </div>
      <div class="deviceTable">
        <el-table
          ref="multipleTable"
          :data="tableDate"
          tooltip-effect="dark"
          stripe
          style="width: 100%"
          height="calc(100% - 40px)"
          @selection-change="handleSelectionChange"
          @row-click="handleRowClick"
          v-loading="loading"
        >
          <!-- <el-table-column type="index" width="55"> </el-table-column>
          <el-table-column type="selection" width="55"> </el-table-column> -->

          <el-table-column
            prop="lineName"
            label="线路名称"
            show-overflow-tooltip
          ></el-table-column>
          <!-- <el-table-column
            prop="lineId"
            label="线路编号"
            show-overflow-tooltip
          ></el-table-column> -->
          <el-table-column
            prop="name"
            label="杆塔名称"
            show-overflow-tooltip
          ></el-table-column>

          <!-- <el-table-column
            prop="id"
            label="杆塔编号"
            show-overflow-tooltip
          ></el-table-column> -->

          <el-table-column fixed="right" label="操作" width="200">
            <template slot-scope="scope">
              <el-button
                @click.native.stop="handleResive(scope.row)"
                type="text"
                >修改</el-button
              >
              <el-button
                type="text"
                class="deleteText"
                @click.native.stop="handleDelete(scope.row)"
                >删除</el-button
              >
            </template>
          </el-table-column>
        </el-table>
        <div class="pageNation">
          <el-pagination
            @current-change="handleCurrentChange"
            @size-change="handleSizeChange"
            :current-page="page"
            :page-size="pageSize"
            layout="sizes, prev, pager, next, jumper,total"
            :total="total"
            background
          >
          </el-pagination>
        </div>
      </div>
    </div>
    <!-- 新增时间表 -->
    <addDialog :title="title" ref="addDialogref"></addDialog>
  </div>
</template>
<script>
import { getTowerListApi, delTowerApi } from "@/utils/api/index";
import addDialog from "./components/addDialog.vue";

export default {
  components: {
    addDialog,
  },
  data() {
    return {
      title: "", //弹窗标题
      tableDate: [],
      //multipleSelection: [], //获取当前选中
      page: 1, // 当前页数
      pageSize: 20, // 每页数量
      total: 0, //总条数
      loading: true,
    };
  },
  mounted() {
    console.log("ssss");
    this.deviceList();
  },
  activated() {
    this.deviceList();
  },
  methods: {
    //获取数据列表
    deviceList() {
      this.loading = true;
      getTowerListApi({
        pageindex: this.page,
        pagesize: this.pageSize,
      })
        .then((res) => {
          this.tableDate = res.data.list;
          this.total = res.data.total;
          this.loading = false;
        })
        .catch((err) => {});
    },
    //点击行选中
    handleRowClick(row, column, event) {
      this.$refs.multipleTable.toggleRowSelection(row);
    },
    //获取选中的行
    handleSelectionChange(val) {
      this.multipleSelection = val;
    },

    // 新建
    handleAdddevice() {
      this.title = "新增";
      this.$refs.addDialogref.display();
      this.$refs.addDialogref.getdataform(null);
    },

    //修改
    handleResive(data) {
      this.title = "修改";
      this.$refs.addDialogref.display();
      this.$refs.addDialogref.getdataform(data);
    },

    //删除数据
    handleDelete(data) {
      let deleteArr = [];
      deleteArr.push({
        id: data.id,
      });
      this.$confirm("确定要删除记录吗,同时删除关联关系?", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      })
        .then(() => {
          delTowerApi({ list: deleteArr }).then((res) => {
            this.deviceList(); //刷新
          });
          this.$message({
            showClose: true,
            type: "success",
            message: "删除成功!",
          });
        })
        .catch(() => {
          this.$message({
            showClose: true,
            type: "info",
            message: "已取消删除",
          });
        });
    },
    //点击分页
    handleCurrentChange(val) {
      this.page = val;
      this.deviceList();
    },
    //每页条数
    handleSizeChange(val) {
      this.pageSize = val;
      this.deviceList();
    },
  },
};
</script>
<style lang="less">
.deviceInformation {
  width: calc(100% - 32px);
  height: calc(100% - 32px);
  padding: 16px 16px;
  background: @color-white;

  .deviceBox {
    border: 1px solid #dddddd;
    height: calc(100% - 32px);
    padding: 16px;
    border-radius: 4px;
  }
  .deviceBtnGroup {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .deviceTable {
    margin-top: 16px;
    height: calc(100% - 48px);
    //background: #fcc;
  }
}
</style>
